>From e5b598168dcb297e2993e3cc5ac67dff2acc8493 Mon Sep 17 00:00:00 2001
From: Pauline Castets <pcastets@actech-innovation.com>
Date: Thu, 21 Aug 2008 22:22:50 +0200
Subject: [PATCH] Add "Properties" to media menu

Remove Media Info and Codec Info from tools (same window but different
tab selected) and make them accessible through Menu>Properties.
---
 include/vlc_intf_strings.h           |    3 +--
 modules/gui/qt4/dialogs_provider.cpp |    5 -----
 modules/gui/qt4/dialogs_provider.hpp |    1 -
 modules/gui/qt4/menus.cpp            |    8 ++++----
 4 files changed, 5 insertions(+), 12 deletions(-)

diff --git a/include/vlc_intf_strings.h b/include/vlc_intf_strings.h
index c709a66..1102834 100644
--- a/include/vlc_intf_strings.h
+++ b/include/vlc_intf_strings.h
@@ -39,8 +39,7 @@
 
 /******************* Menus *****************/
 
-#define I_MENU_INFO  N_("Media &Information...")
-#define I_MENU_CODECINFO  N_("&Codec Information...")
+#define I_MENU_PROPERTIES  N_("Properties...")
 #define I_MENU_MSG   N_("&Messages...")
 #define I_MENU_EXT   N_("&Extended Settings...")
 #define I_MENU_GOTOTIME N_("Go to Specific &Time...")
diff --git a/modules/gui/qt4/dialogs_provider.cpp b/modules/gui/qt4/dialogs_provider.cpp
index 2bb90cb..b22486a 100644
--- a/modules/gui/qt4/dialogs_provider.cpp
+++ b/modules/gui/qt4/dialogs_provider.cpp
@@ -216,11 +216,6 @@ void DialogsProvider::mediaInfoDialog()
     MediaInfoDialog::getInstance( p_intf )->toggleVisible();
 }
 
-void DialogsProvider::mediaCodecDialog()
-{
-    MediaInfoDialog::getInstance( p_intf )->showTab( 2 );
-}
-
 void DialogsProvider::bookmarksDialog()
 {
     BookmarksDialog::getInstance( p_intf )->toggleVisible();
diff --git a/modules/gui/qt4/dialogs_provider.hpp b/modules/gui/qt4/dialogs_provider.hpp
index d1547b2..cbe4c62 100644
--- a/modules/gui/qt4/dialogs_provider.hpp
+++ b/modules/gui/qt4/dialogs_provider.hpp
@@ -137,7 +137,6 @@ public slots:
     void playlistDialog();
     void bookmarksDialog();
     void mediaInfoDialog();
-    void mediaCodecDialog();
     void prefsDialog();
     void extendedDialog();
     void messagesDialog();
diff --git a/modules/gui/qt4/menus.cpp b/modules/gui/qt4/menus.cpp
index 5896f64..e5a2a56 100644
--- a/modules/gui/qt4/menus.cpp
+++ b/modules/gui/qt4/menus.cpp
@@ -299,6 +299,10 @@ QMenu *QVLCMenu::FileMenu()
         "Ctrl+C" );
     menu->addSeparator();
 
+    addDPStaticEntry( menu, qtr( I_MENU_PROPERTIES ) , "", ":/info",
+    SLOT( mediaInfoDialog() ), "Ctrl+I" );
+    menu->addSeparator();
+
     addDPStaticEntry( menu, qtr( "&Streaming..." ), "",
         ":/stream", SLOT( openThenStreamingDialogs() ),
         "Ctrl+S" );
@@ -400,10 +404,6 @@ QMenu *QVLCMenu::ToolsMenu( intf_thread_t *p_intf,
     addDPStaticEntry( menu, qtr( I_MENU_MSG ), "",
         ":/messages", SLOT( messagesDialog() ),
         "Ctrl+M" );
-    addDPStaticEntry( menu, qtr( I_MENU_INFO ) , "", ":/info",
-        SLOT( mediaInfoDialog() ), "Ctrl+I" );
-    addDPStaticEntry( menu, qtr( I_MENU_CODECINFO ) , "",
-        ":/info", SLOT( mediaCodecDialog() ), "Ctrl+J" );
     addDPStaticEntry( menu, qtr( I_MENU_BOOKMARK ), "","",
                       SLOT( bookmarksDialog() ), "Ctrl+B" );
 #ifdef ENABLE_VLM
-- 
1.5.4.3

